Re: [Forum] Gentoo og kernel-2.6.0

From: Henrik Brix Andersen <brix@gimp.org>
Date: Sun Dec 21 2003 - 00:06:10 CET

Hej,

On Sat, 2003-12-20 at 23:27, gunner carstens wrote:
> Jeg har nu kompileret min første kerne, sådan på egen hånd, med min nye
> gentoo. Jeg tog
> gentoo-dev-sources og har fulgt 'gentoo handbook' så godt jeg kunne. Jeg
> har også booted
> den nye kerne - med lilo - og har fundet ud af at få netadgang og fået
> mit nVidia kort til at virke
> under KDE.

Gentoo Linux understøtter officielt endnu ikke linux-2.6.0 - så du vil
nok støde på nogle forhindringer undervejs, hvis du vælger at køre med
denne kerne...

> 1)
> Men der er endnu nogle ting jeg ikke har kunnet finde ud af:
> Åbner jeg en konsol under kde, får jeg følgende fejl:
> 'Unable to open a suitable terminal device'
> Det ved jeg ikke lige hvad jeg skal gøre ved.

Har du husket at kompilere understøttelse for ptyfs ind i kernen?

File systems -> Pseudo filesystems -> /dev/pts filesystem

Det står en note omkring dette når du emerger development-sources-2.6.0.

Gense evt. noten omkring dette:

'tail -n 19 /usr/portage/sys-kernel/development-sources/development-sources-2.6.0.ebuild'

> 2)
> Når jeg rebooter i 2.6.0 skal jeg lave en ny 'modprobe sis900' for at få
> netværket op at køre igen. Også
> selv om jeg har lavet en 'rc-update add net.eth0 default'. Hvordan får
> jeg den til at acceptere dette modul
> hvergang jeg booter?

Du kunne f.eks. tilføje sis900 til /etc/modules.autoload.d/kernel-2.6 -
dette vil indlæse det pågældende modul ved hver boot.

Alternativt kan du lave en fil under /etc/modules.d/ indeholdende linien
"alias eth0 sis900" - dette burde associere interfacet eth0 med modulet
sis900.

Se evt. 'man modules.conf' for mere information.

> 3)
> Lyd virker ikke under kde. Jeg har prøvet som det står i manualen, at
> fjerne '~/.kde/share/config/kmixrc' og
> '~/.kde/share/config/kmix:*' men det har ikke hjulpet. Der er slet ingen
> sound drivers under
> '/lib/modules/`uname -r`/kernel/drivers/sound', men det er der heller
> ikke under '/lib/modules/2.4.20-gentoo-r9/kernel/'
> så det ved jeg ikke om det er et krav. Lyd fungerede under den gamle
> kerne.(som jeg ikke længere kan starte fordi den
> ikke kan loade nVidia driveren der jo nu er kompileret under 2.6.0).

Linux-2.6 anvender ALSA som lydsystem i stedet for det noget ældre OSS.

Du bliver nok nødt til at re-kompilere en række af dine applikationer
med USE=alsa. Alternativt kan du enable OSS-kompatibilitet i kernens
ALSA-drivere...

Se evt. http://www.alsa-project.org for mere information omkring ALSA.

Mvh
./Brix

-- 
Henrik Brix Andersen <brix@gimp.org>
Received on Sun Dec 21 00:06:10 2003

This archive was generated by hypermail 2.1.8 : Tue Jul 19 2005 - 16:05:03 CEST